header {
    position: sticky;
    top: 0;
    margin-top: -10px;
    display: flex;
    z-index: 3;
    justify-content: center; /* center the navbar */
}

.navbar {
    display: flex;
    gap: 25px;
    background-color: #fafafa;
    height: 10vh;
    align-items: center;
    margin-bottom: 3rem;
    box-shadow: 0 0 5px darkgrey;
    width: 100%;
    padding: 2vh 20vw;
}

.navbar-brand {
    margin-left: 1vw;
    width: auto !important;
    border-radius: 0.5rem;
    object-fit: contain;
    transition: transform 1s ease;
    img {
        border-radius: 0.5rem;
        width: 80px !important;
        height: 80px !important;
    }
    &:hover {
        img {
            transform: scale(1.05);
        }
    }
}

.header-button {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.redirections-link {
    font-size: 18px;
    font-weight: bold;
    margin-right: 1vw;
    display: flex;
    gap: 1rem;
    a {
        font-family: Speedee, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif;
        color: #292929 !important;
        text-decoration: none !important;
        &:hover {
            color: #FDBF08 !important;
        }
    }
}

.language-switcher {
    list-style: none;
    display: flex;
    flex-direction: row;
    gap: 10px;
    .current-lang {
        img {
            width: 20px !important;
            height: 13px !important;
            opacity: 1;
        }
    }
    img {
        width: 20px !important;
        height: 13px !important;
        opacity: 0.3;
        &:hover {
            opacity: 1;
        }
    }
}

.language-switcher a {
    display: inline-block;
    text-decoration: none;
}

@media (max-width: 900px) {
    .navbar {
        padding: 1vh 5vw;
    }

    .header-button {
        width: auto;
    }
    .redirections-link {
        display: grid;
        grid-template-columns: 3fr 3fr;
    }
}